Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 202006-23 ] Cyrus IMAP Server
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Advocate
Advocate


Joined: 12 May 2004
Posts: 2454

PostPosted: Tue Jun 16, 2020 2:26 am    Post subject: [ GLSA 202006-23 ] Cyrus IMAP Server Reply with quote

Gentoo Linux Security Advisory

Title: Cyrus IMAP Server: Access restriction bypass (GLSA 202006-23)
Severity: normal
Exploitable: remote
Date: 2020-06-15
Bug(s): #703630
ID: 202006-23

Synopsis

An error in Cyrus IMAP Server allows mailboxes to be created with
administrative privileges.


Background

The Cyrus IMAP Server is an efficient, highly-scalable IMAP e-mail
server.


Affected Packages

Package: net-mail/cyrus-imapd
Vulnerable: < 3.0.13
Unaffected: >= 3.0.13
Architectures: All supported architectures


Description

An issue was discovered in Cyrus IMAP Server where sieve script
uploading is excessively trusted.


Impact

A user can use a sieve script to create any mailbox with administrator
privileges.


Workaround

Disable sieve script uploading until the upgrade is complete.

Resolution

All Cyrus IMAP Server users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=net-mail/cyrus-imapd-3.0.13"
   


References

CVE-2019-19783
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum